# Copyright (C) 2017  Christian Berger
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

# Warning flags based on and generated from: https://raw.githubusercontent.com/Barro/compiler-warnings/master/gcc/warnings-gcc-7.txt
set(GCC82_CXX_WARNING_FLAGS " \
    -fno-pie \
    -no-pie \
    -pedantic \
    -pedantic-errors \
    -Werror \
    -Wall \
    -Wabi=12 \
    -Waddress \
    -Wno-error=aggregate-return \
    -Waggressive-loop-optimizations \
    -Wall \
    -Warray-bounds \
    -Warray-bounds=2 \
    -Wattributes \
    -Wbool-compare \
    -Wbuiltin-macro-redefined \
    -Wno-error=c++11-compat \
    -Wc++14-compat \
    -Wno-error=cast-align \
    -Wcast-qual \
    -Wchar-subscripts \
    -Wclobbered \
    -Wcomment \
    -Wcomments \
    -Wconditionally-supported \
    -Wconversion \
    -Wconversion-null \
    -Wcoverage-mismatch \
    -Wcpp \
    -Wctor-dtor-privacy \
    -Wdate-time \
    -Wdelete-incomplete \
    -Wdelete-non-virtual-dtor \
    -Wdeprecated \
    -Wdeprecated-declarations \
    -Wdisabled-optimization \
    -Wdiv-by-zero \
    -Wdouble-promotion \
    -Wno-error=effc++ \
    -Wempty-body \
    -Wendif-labels \
    -Wenum-compare \
    -Wextra \
    -Wfloat-conversion \
    -Wfloat-equal \
    -Wformat \
    -Wformat-contains-nul \
    -Wformat-extra-args \
    -Wformat-nonliteral \
    -Wformat-security \
    -Wformat-signedness \
    -Wformat-y2k \
    -Wformat-zero-length \
    -Wformat=1 \
    -Wfree-nonheap-object \
    -Wignored-qualifiers \
    -Wimport \
    -Winherited-variadic-ctor \
    -Winit-self \
    -Wno-error=inline \
    -Wint-to-pointer-cast \
    -Winvalid-memory-model \
    -Winvalid-offsetof \
    -Winvalid-pch \
    -Wliteral-suffix \
    -Wlogical-not-parentheses \
    -Wlogical-op \
    -Wno-error=long-long \
    -Wmain \
    -Wmaybe-uninitialized \
    -Wmemset-transposed-args \
    -Wmissing-braces \
    -Wmissing-declarations \
    -Wmissing-field-initializers \
    -Wmissing-format-attribute \
    -Wsuggest-attribute=format \
    -Wmissing-noreturn \
    -Wsuggest-attribute=noreturn \
    -Wmultichar \
    -Wnarrowing \
    -Wnoexcept \
    -Wno-error=noexcept-type \
    -Wnon-template-friend \
    -Wnon-virtual-dtor \
    -Wnonnull \
    -Wnormalized=nfc \
    -Wodr \
    -Wold-style-cast \
    -Wopenmp-simd \
    -Woverflow \
    -Woverlength-strings \
    -Woverloaded-virtual \
    -Wpacked \
    -Wpacked-bitfield-compat \
    -Wparentheses \
    -Wpedantic \
    -Wpmf-conversions \
    -Wpointer-arith \
    -Wpragmas \
    -Wpsabi \
    -Wredundant-decls \
    -Wreorder \
    -Wreturn-local-addr \
    -Wreturn-type \
    -Wsequence-point \
    -Wshadow \
    -Wshift-count-negative \
    -Wshift-count-overflow \
    -Wsign-compare \
    -Wno-error=sign-conversion \
    -Wsized-deallocation \
    -Wsizeof-array-argument \
    -Wsizeof-pointer-memaccess \
    -Wno-error=stack-protector \
    -Wno-error=strict-aliasing \
    -Wstrict-aliasing=3 \
    -Wstrict-null-sentinel \
    -Wstrict-overflow \
    -Wstrict-overflow=5 \
    -Wno-error=suggest-attribute=const \
    -Wno-error=suggest-attribute=format \
    -Wno-error=suggest-attribute=noreturn \
    -Wno-error=suggest-attribute=pure \
    -Wno-error=suggest-final-methods \
    -Wno-error=suggest-final-types \
    -Wno-error=suggest-override \
    -Wswitch \
    -Wswitch-bool \
    -Wno-error=switch-default \
    -Wswitch-enum \
    -Wsync-nand \
    -Wsynth \
    -Wtrampolines \
    -Wtrigraphs \
    -Wno-error=type-limits \
    -Wundef \
    -Wuninitialized \
    -Wunknown-pragmas \
    -Wno-error=unreachable-code \
    -Wno-error=unsafe-loop-optimizations \
    -Wunused \
    -Wunused-but-set-parameter \
    -Wunused-but-set-variable \
    -Wunused-function \
    -Wunused-label \
    -Wunused-local-typedefs \
    -Wno-error=unused-macros \
    -Wunused-parameter \
    -Wunused-result \
    -Wunused-value \
    -Wunused-variable \
    -Wno-error=useless-cast \
    -Wvarargs \
    -Wvariadic-macros \
    -Wvector-operation-performance \
    -Wvirtual-move-assign \
    -Wvla \
    -Wvolatile-register-var \
    -Wwrite-strings \
    -Wno-error=zero-as-null-pointer-constant")
